// ALPHA_SHADOW.POV
//
// +w200 +h200 +a0.1 +am2 +r2 -j +ua

#version unofficial mlpov 0.8;

camera {
  orthographic
  location <0,0,-2>  
  look_at  <0,0,0>
  right 1*x
  up 1*y  
}
           
#declare light_pt = <2,5,-10>;
           
#declare obj = union {
  sphere { <-.3,-.3,-.06>, .04 }
  sphere { <-.3,.3,-.06>, .04 }
  sphere { <.3,-.3,-.06>, .04 }
  sphere { <.3,.3,-.06>, .04 }
  cylinder { <.3,.3,-.06>, <.3,-.3,-.06>, .04 }
  cylinder { <.3,-.3,-.06>, <-.3,-.3,-.06>, .04 }
  cylinder { <-.3,-.3,-.06>, <-.3,.3,-.06>, .04 }
  cylinder { <-.3,.3,-.06>, <.3,.3,-.06>, .04 }
  sphere { <0,0,-.15>, .15 }
  
  pigment { color rgb < 1,.5,.2> }
  finish { ambient .2 diffuse .8 specular .6 roughness .02 }
  no_shadow
}

object { obj }

light_source { light_pt, 1 }

plane {
  -z,0
  pigment {
    projection obj, light_pt
    color_map { [0 color rgbt <0,0,0,1>][1 color rgbt <0,0,0,.3>] }
  }
  finish { ambient 1 }
}

